<?php
define('D_P',__FILE__  ?  F_GetDirName(__FILE__).'/'  :  './');

function F_GetDirName($path){
	if(strpos($path,'\\')!==false){
		return substr($path,0,strrpos($path,'\\'));
	} elseif(strpos($path,'/')!==false){
		return substr($path,0,strrpos($path,'/'));
	} else{
		return '/';
	}
}

?>